• Introducing Dark Mode! Switch by clicking on the lightbulb icon next to Search or by clicking on Default style at the bottom left of the page!

Firefox 20...

swhitmire

Reputable Poster
Since I upgraded to Firefox 20, the JDE web client isn't working... when I try to go to a screen I just get the "Opening Application" message. I tried turning the popup blocker off completely in case something about it had changed, but that didn't fix it. Anyone else having this problem?
 

DEA

Active Member
Same here. Download v19 and install while offline. Then make sure automatic updates are turned off.
 

kitsants

Member
I'm having the same problem with FF20 (on MacOS/Windows/Linux) - though we all know it's not officially supported by Oracle.
 

kitsants

Member
OK - I fixed mine by creating a user agent override for my JDE website in FF. Here' what I've done:

- In FF, go to about:config and create a new string called "general.useragent.override.<your JDE URL here>" and then type in the value "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0". Restart FF and should work.
 

cpb

Member
The 2 ways so far in this thread to make it work are downgrading to Firefox 19.x or lower, or make a site specific override of the browser version. If Firefox tells E1 it is 19 instead of 20, then E1 will accept it. Like downgrading, this requires action on each of the clients. Both of these are maintenance nightmare.

A third method, and far better one for those of us with more than a handful of end users I think, is to modify the JAS server's browscap.ini. I added the following to my browscap.ini in the PY environment and bounced the PY instance. So far it seems to be working fine. Assuming further testing doesn't discover any new problems, I'll add it to my PD environment tonight when I can kick the users off for a few minutes.

Added the following to JAS server browscap.ini:
<font class="small">Code:</font><hr /><pre>;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; MOZILLA FIREFOX 20.0

[MOZILLA FIREFOX 20.0]
parent=MOZILLA FIREFOX 10.0
version=20.0
majorver=20
minorver=0

[*(X11*) Gecko/* Firefox/2?.*]
parent=MOZILLA FIREFOX 20.0
platform=Linux

[*(Mac*) Gecko/* Firefox/2?.*]
parent=MOZILLA FIREFOX 20.0
platform=Mac

[*(Win*) Gecko/* Firefox/2?.*]
parent=MOZILLA FIREFOX 20.0
platform=Win </pre><hr />
 

sashton

Reputable Poster
Has anyone else put this into 9.1.3.1 tools. It appears to "break" the JAS server instance when the Browscap.ini is modified in anyway. Still doing some testing but that is the result we are seeing. Hoping someone else may have tried this?
 

tkim415

Member
There is a firefox add-on called "user agent switcher". i've installed it on my firefox 25.0.1. Changed the user agent to IE 10/windows and it worked real well.
 
Top